Subject: bug#20672: [PATCH] Support hiding deleted IMAP messages (v2)

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Aug 2020 10:47:33 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I think it would be better to just convey the information up to the Gnus
> layer, and then Gnus could have a switch to not display these deleted
> messages.
>
> Or perhaps just pretend like all \Deleted messages are \Read?

Apparently, that's what we've been doing since 2013:

	    (let* ((unread
		    (gnus-compress-sequence
		     (gnus-set-difference
		      (gnus-set-difference
		       existing
		       (gnus-sorted-union
			(cdr (assoc '%Seen flags))
			(cdr (assoc '%Deleted flags))))
		      (cdr (assoc '%Flagged flags)))))
		   (read (gnus-range-difference
			  (cons start-article high) unread)))

So I think re-handling this (as the patch suggested) should be
unnecessary, so I'm closing this bug report.

If the problem still exists, please respond to this email and we'll
reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no